Bug 832877 - F17 GA-RC4: unhandled exception due to disk label commit error during installation on multipath disk
F17 GA-RC4: unhandled exception due to disk label commit error during install...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
17
ppc64 All
unspecified Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 02:01 EDT by IBM Bug Proxy
Modified: 2013-01-24 10:12 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-24 10:12:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
f17garc4-exception.png (128.95 KB, image/png)
2012-06-18 02:01 EDT, IBM Bug Proxy
no flags Details
f17garc4-exception-1.png (93.09 KB, image/png)
2012-06-18 02:01 EDT, IBM Bug Proxy
no flags Details
anaconda.log (13.77 KB, text/plain)
2012-06-18 02:02 EDT, IBM Bug Proxy
no flags Details
program.log (126.99 KB, text/plain)
2012-06-18 02:02 EDT, IBM Bug Proxy
no flags Details
anaconda-tb-5t6kGx (1.00 MB, text/plain)
2012-06-18 02:02 EDT, IBM Bug Proxy
no flags Details
storage.state (28.00 KB, text/plain)
2012-06-18 02:02 EDT, IBM Bug Proxy
no flags Details
syslog (145.75 KB, text/plain)
2012-06-18 02:03 EDT, IBM Bug Proxy
no flags Details
storage.log (713.64 KB, text/plain)
2012-06-18 02:03 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 82372 None None None 2012-06-18 02:01:26 EDT

  None (edit)
Description IBM Bug Proxy 2012-06-18 02:01:26 EDT
== Comment: #0 - MANAS K. NAYAK <maknayak@in.ibm.com> - 2012-06-12 08:21:25 ==
While installing f17-20120608-GA-RC4 PPC64 from virtual DVD on P7 on one of the multipath disks attached to the server, noticed following unhandled exception during file systems changes being written to disk.

--- An unhandled exception ---

07:32:50,878 INFO anaconda: dispatch: moving (1) to step enablefilesystems
07:32:50,878 DEBUG anaconda: dispatch: enablefilesystems is a direct step
07:33:00,347 CRIT anaconda: anaconda 17.29 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/formats/disklabel.py", line 277, in commit
    raise DiskLabelCommitError(msg)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 1561, in _destroy
    self.disk.originalFormat.commit()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 831, in destroy
    self._destroy()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 286, in execute
    self.device.destroy()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devicetree.py", line 325, in processActions
    action.execute(intf=self.intf)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 375, in doIt
    self.devicetree.processActions()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/packages.py", line 122, in turnOnFilesystems
    anaconda.storage.doIt()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 383, in dispatch
    self.dir = self.steps[self.step].target(self.anaconda)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/dispatch.py", line 247, in go_forward
    self.dispatch()
  File "/usr/lib64/python2.7/site-packages/pyanaconda/gui.py", line 1201, in nextClicked
    self.anaconda.dispatch.go_forward()
DiskLabelCommitError: Could not commit to disk /dev/mapper/mpathd, (py_ped_disk_commit)


Installation was done by selecting "special storage type " , default lvm file system on multipath disk.

--- Logs attached ---
anaconda.log  anaconda-tb-5t6kGx  program.log  storage.log  storage.state  syslog

--- screenshot attached ---
f17garc4-exception-1.png  f17garc4-exception.png

== Comment: #9 - Kamalesh Babulal <kamaleshb@in.ibm.com> - 2012-06-13 00:21:40 ==
From pyanaconda/storage/formats/disklabel.py


   def commit(self):
        """ Commit the current partition table to disk and notify the OS. """
        log_method_call(self, device=self.device,
                        numparts=len(self.partitions))
        try:
            self.partedDisk.commit()
        except parted.DiskException as msg:
            raise DiskLabelCommitError(msg) <---------- expection
        else:
            udev_settle()


This issue looks similar to https://bugzilla.redhat.com/show_bug.cgi?id=650064
Comment 1 IBM Bug Proxy 2012-06-18 02:01:41 EDT
Created attachment 592528 [details]
f17garc4-exception.png
Comment 2 IBM Bug Proxy 2012-06-18 02:01:51 EDT
Created attachment 592529 [details]
f17garc4-exception-1.png
Comment 3 IBM Bug Proxy 2012-06-18 02:02:03 EDT
Created attachment 592530 [details]
anaconda.log
Comment 4 IBM Bug Proxy 2012-06-18 02:02:17 EDT
Created attachment 592531 [details]
program.log
Comment 5 IBM Bug Proxy 2012-06-18 02:02:32 EDT
Created attachment 592532 [details]
anaconda-tb-5t6kGx
Comment 6 IBM Bug Proxy 2012-06-18 02:02:46 EDT
Created attachment 592533 [details]
storage.state
Comment 7 IBM Bug Proxy 2012-06-18 02:03:01 EDT
Created attachment 592534 [details]
syslog
Comment 8 IBM Bug Proxy 2012-06-18 02:03:18 EDT
Created attachment 592535 [details]
storage.log
Comment 9 IBM Bug Proxy 2013-01-24 04:22:04 EST
------- Comment From maknayak@in.ibm.com 2013-01-24 09:14 EDT-------
(In reply to comment #19)
Verfied with multipath diks installation, this issue is no more getting
produced with fedroa 18 ppc64 Beta .
I think this is fixed in beta now. We can close it.

# uname -a
Linux miz03.austin.ibm.com 3.6.6-3.fc18.ppc64p7 #1 SMP Fri Nov 9 11:18:55
MST 2012 ppc64 ppc64 ppc64 GNU/Linux

Thanks...
Manas
Comment 10 IBM Bug Proxy 2013-01-24 06:01:36 EST
------- Comment From maknayak@in.ibm.com 2013-01-24 10:55 EDT-------
Reverfied using Fedora18 ppc64 GA build on P7 LPAR , and it gets installed succesfully on multipat disk.
This issue is fixed in GA build .

We can close the bug now.

Thanks...
Manas

Note You need to log in before you can comment on or make changes to this bug.